<?php
//
$SYS_FOC="Nom";//Primer control en recibir el focus
//
$Nom=V($_POST['Nom']);
//
$LIMPIAR=0;
//
//ACTIVAR DESDE OTRA PAGINA
if(strlen($StrId)==0){
	$StrId=V($_GET['Id']);
	if(is_numeric($StrId)==false){
		$StrId="";
	}else{
		$StrCmd="AR";
		$LStrPag=V($_GET['Pag']);
		if(!is_numeric($LStrPag)){
			$LStrPag="";
		}
	}
}
//FUNCION PARA ACTIVAR UN REGISTRO
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("colores","id_col=$Id");
	$Nom=$r['col_nom'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
//
}
//
if($StrCmd=="G"){
	$PX=gn("count(*)","colores","col_nom='$Nom'");
	if($PX>0){
		$SYS_MSG="Color ya registrado";
	}else{
		$FILE="";
		$Id=GenId("id_col","colores");
		$s="INSERT INTO colores VALUES ($Id,'$Nom')";
		ejt($s);		
		//			
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="M"){
	$PX=gn("count(*)","colores","col_nom='$Nom' AND id_col<>$StrId");
	if($PX>0){
		$SYS_MSG="Color ya registrado";
	}else{
		$FILE="";		
		$s="UPDATE colores 
			SET col_nom='$Nom' 
			WHERE id_col=$StrId";
		ejt($s);
		//	
		$SYS_MSG="Datos actualizados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){		
	$s="DELETE FROM colores WHERE id_col=$StrId";
	ejt($s);
	$SYS_MSG="Datos eliminados";
	$LIMPIAR=1;	
}
//
if($StrCmd=="EF"){
	//$FActual=ImgA("fotos/pro".$StrId);
	//ImgE($FActual);
}	
//
if($LIMPIAR==1){
	$StrId="";
	$Nom="";
}
?>
